#ifndef TIMER_H
#define TIMER_H

#include "aliases.h"

#ifdef __cplusplus
extern "C" {
#endif

u64 get_os_frequency();

// Time in nanoseconds
u64 get_os_time(void);

// CPU timer using rdtsc
u64 read_cpu_timer(void);

// CPU frequency in hz/sec
u64 get_cpu_freq(u64 milliseconds);

#ifdef __cplusplus
}
#endif

#endif // !TIMER_H
